Twitter / X Scraping

Get Twitter X Tweet Data

POST /v1/x/tweet

#Example

curl -X POST /v1/x/tweet \
  -H "Authorization: Bearer your-token" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://x.com/testuser/status/123456789"
  }'

#Request Body

{
  "url": "https://x.com/testuser/status/123456789"
}

#Pricing

  • 3 credits

Credits are only deducted for successful requests.

#Response Includes

  • text and engagement counts
  • media URLs
  • author profile data
  • quoted tweet data when available

#Example Response

{
  "response": {
    "id": "123456789",
    "tweet_url": "https://x.com/testuser/status/123456789",
    "text": "Hello from Qoest",
    "like_count": 20,
    "reply_count": 2,
    "retweet_count": 3,
    "quote_count": 1,
    "bookmark_count": 4,
    "view_count": 88,
    "video_url": null,
    "author": {
      "name": "Test User",
      "username": "testuser",
      "profile_image_url": "https://example.com/profile.jpg"
    }
  }
}